Skip to navigation

update a container

update a container

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

container_idstringRequired

Request

This endpoint expects an object.
fieldsmap from strings to objectsOptional
namestringOptional
parentStorageIdstringOptional

ID of containing parent inventory, can also specify a coordinate for plates and boxes (e.g. plt_2bAks9dx:a2).

projectIdstring or nullOptional
quantityobjectOptional
Quantity of a container, well, or transfer. Supports mass, volume, and other quantities.
restrictedSamplePartyIdslist of stringsOptional
IDs of users or teams who have access to use a restricted container. Well plate wells and unrestricted containers do not have restricted sample parties.
restrictionStatusenumOptional

Either RESTRICTED or UNRESTRICTED. This only applies to stand-alone containers (Plate wells are always set to NOT_APPLICABLE).

Allowed values:
roleobject or nullOptional
Role of a well in a well plate.
sampleOwnerIdslist of stringsOptional
IDs of users or teams who are sample owners for the container. Well plate wells do not have sample owners.
volumeobjectOptional

Desired volume for a container, well, or transfer. “volume” type keys are deprecated in API requests; use the more permissive “quantity” type key instead.

Response

OK
archiveRecordobject or nullOptional
barcodestring or nullOptional
checkoutRecordobjectOptional

assignee field is set if status is “RESERVED” or “CHECKED_OUT”, or null if status is “AVAILABLE”.

comment field is set when container was last reserved, checked out, or checked into.

modifiedAt field is the date and time when container was last checked out, checked in, or reserved

contentslist of objectsOptionalRead-only
createdAtdatetimeOptionalRead-only
creatorobjectOptional
fieldsmap from strings to objectsOptional
idstringOptionalRead-only
modifiedAtdatetimeOptionalRead-only
namestringOptional
parentStorageIdstring or nullOptional
parentStorageSchemaobject or nullOptional
projectIdstring or nullOptional
quantityobjectOptional
Quantity of a container, well, or transfer. Supports mass, volume, and other quantities.
restrictedSamplePartieslist of objectsOptional
restrictionStatusenumOptional
Allowed values:
roleobject or nullOptional
sampleOwnerslist of objectsOptional
schemaobject or nullOptional
volumeobjectOptional

The deprecated “volume” type key in API responses can also contain non-volume quantities for back-compatibility purposes. Use the “quantity” type key instead.

webURLstringOptionalRead-only

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error